%define qtdir /usr/lib/qt-1.45
%define kdeprefix /usr
%define version 0.99.2
%define kderelease 2

%define kdename  knetmon
Name: %{kdename}
Summary: A front-end to many network-related command line tools for KDE.
Version: %{version}
Release: %{kderelease}
Serial: 1
Source: http://www.tu-ilmenau.de/~lekus/software/%{kdename}-%{version}.tar.gz
Patch: knetmon-alpha.patch
License: GPL
URL: http://www.tu-ilmenau.de/~lekus/software.htm
Group: Applications/Internet
Buildroot: /var/tmp/%{kdename}-buildroot
Requires: kdesupport
Prefix: %{kdeprefix}

%description 
KNetmon is a K Desktop Environment (KDE) front-end for network-related
command line tools, including smbclient, smbmount/smbumount, ping,
talk, telnet, rlogin, finger and nslookup.  Similar to the Windows(TM)
Netmon program, KNetmon displays currently active hosts on the network
and supports Samba and NFS.  You'll need to have X and KDE installed
in order to use KNetmon.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q
%patch

%build
export KDEDIR=%{kdeprefix} QTDIR=%{qtdir}
./configure \
	--prefix=%{kdeprefix} \
	--exec_prefix=%{kdeprefix} \
	--with-install-root=$RPM_BUILD_ROOT

make CXXFLAGS="$RPM_OPT_FLAGS -DNO_DEBUG -I/usr/include/kde"

strip $RPM_BUILD_ROOT%{kdeprefix}/bin/* || :

%install
make install-strip prefix=$RPM_BUILD_ROOT%{kdeprefix} \
	exec_prefix=$RPM_BUILD_ROOT%{kdeprefix}

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
        $RPM_BUILD_DIR/file.list.%{kdename}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
        -e '/\/config\//s|^|%config|' >> \
        $RPM_BUILD_DIR/file.list.%{kdename}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
        $RPM_BUILD_DIR/file.list.%{kdename}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{kdename}

%files -f ../file.list.%{kdename}

%changelog
* Fri Feb 11 2000 Tim Powers <timp@redhat.com>
- strip binaries

* Thu Jan 13 2000 ngo Than <than@redhat.de>
- updated to 0.99.2

* Tue Sep 21 1999 Preston Brown <pbrown@redhat.com>
- update for 6.1

* Wed Apr 21 1999 Preston Brown <pbrown@redhat.com>
- initial RPM for PowerTools 6.0
